%computations with offset

% cam = euler2artMatrix([0,90,-90],[0 10 0]);
% target = euler2artMatrix([90,0,0],[-10,0,0]);

[t,q,cam,target] = cameraPoseEstimation('QTN');

% offset = cam * inv(target);
offset = inv(target)*cam;
% offset = inv(offset);

for i=0:10:180
    hold off;
    target = euler2artMatrix([i,0,0],[0,0,0]);
    
%     cam = offset * target;
    cam = target * offset;
    
    figure(3);
    plotCoordinateFrame(cam(1:3,1:3), cam(1:3,4), 'r-');
    plotCoordinateFrame(target(1:3,1:3), target(1:3,4), 'b-' );
    axis([-100,100,-100,100,-100,100]);
    title('Camera (red) and target (blue) frame','FontWeight','bold');
    
    pause;
end