function [mPoints] = extractMidPoints(bw)
%extracts the middle points from a lable image

[height,width] = size(bw);
bins = zeros(3,14);

%loop over image
for y=1:height
    for x=1:width
        k = bw(y,x);
        if k ~= 0
            %throw coordinates into bin
            bins(1,k) = bins(1,k) + x;
            bins(2,k) = bins(2,k) + y;            
            bins(3,k) = bins(3,k) + 1;            
        end
    end
end

for k=1:14
    bins(1,k) = bins(1,k) / bins(3,k);
    bins(2,k) = bins(2,k) / bins(3,k);
end

p = bins(1:2,:);

% mP = zeros(2,12);
% mP(:,1) = p(:,4);
% mP(:,2) = p(:,1);
% mP(:,3) = p(:,2);
% mP(:,4) = p(:,5);
% mP(:,5) = p(:,6);
% mP(:,6) = p(:,7);
% mP(:,7) = p(:,3);
% mP(:,8) = p(:,12);
% mP(:,9) = p(:,13);
% mP(:,10) = p(:,9);
% mP(:,11) = p(:,10);
% mP(:,12) = p(:,11);
% 
mPoints = p;

figure(2);
%imshow(im2bw(bw));
hold on;

for k=1:14
    plot(mPoints(1,k),mPoints(2,k),'rx');
    text(mPoints(1,k),mPoints(2,k),num2str(k));
end